Announce read-only time for wikis on s2 for 13th June 2018
Closed, ResolvedPublic

Description

Due to malfunctioning hardware on the s2 database primary master (T194867) we need to do a failover (T194870) to another database host.
In order to be able to do so, we'd need have a 30 minutes read-only window for those wikis.

The affected wikis are:

bgwiki
bgwiktionary
cswiki
enwikiquote
enwiktionary
eowiki
fiwiki
idwiki
itwiki
nlwiki
nowiki
plwiki
ptwiki
svwiki
thwiki
trwiki
zhwiki

Date: 13th June 2018
Time: 06:00AM UTC until 06:30AM UTC
Impact: The above wikis will be on read only, so no new edits will be able to happen. Reads will remain unaffected.

We are requesting 30 minutes, but we hope to have it done in around 5 minutes, if everything goes as planned, however, we'd like to get some more room in case something unexpected happens.

Marostegui triaged this task as Normal priority.
Restricted Application added subscribers: jeblad, Cosine02, Aklapper. · View Herald TranscriptMay 24 2018, 1:50 PM

For this request, can we generate a general maintenance note on meta so it can be added to the read-only message the users of the affecfted wikis will receive?

@Johan can you confirm this ticket is being handled and a note will be posted so the users of these wikis will get notified?
Thanks

It's been listed in https://meta.wikimedia.org/wiki/Tech/News/2018/23 (see tag above: User-notice (In current Tech/News draft))

For this request, can we generate a general maintenance note on meta so it can be added to the read-only message the users of the affecfted wikis will receive?

No, I don't think that what you want is possible (but @Seddon is the expert). As I understand it, we can run a general maintenance notice, but it's based on the user interface language rather than the content language. So if I'm editing at dewiki, I'd see the notice because my UI language is set (in Special:Preferences) to English, but if people who are editing at an affected wiki with, say, German or French or Spanish as their UI language won't see it. So we could run the banner – and it might be worthwhile to do so – but it will reach some people that are unaffected, and it won't reach some people that will be affected.

Thanks for the reply! If that's not possible I will link to the URL https://meta.wikimedia.org/wiki/Tech/News/2018/23

Johan added a comment.Jun 4 2018, 8:16 PM

@Marostegui I'll also notify the Village Pumps (or equivalents) of all affected wikis tomorrow.

Johan claimed this task.Jun 4 2018, 8:17 PM
Restricted Application added a project: User-Johan. · View Herald TranscriptJun 4 2018, 8:17 PM
Johan moved this task from Backlog to Do now on the User-Johan board.Jun 4 2018, 9:26 PM
jcrespo added a comment.EditedJun 5 2018, 7:42 AM

@Whatamidoing-WMF I think there is a confusion here :-) , I think you are talking about setting up a banner/notice (not needed, not working well, as you said), and @Marostegui means just having a regular page on meta with a copy of the phabricator information (meta is served by a separate set of mediawiki servers) to just link to on the technical error message on edit, because if we link to Phabricator or some other service other than mediawiki, traffic is known to brings down the service. Preparing one generic enough will be enough to reuse for future events "You have been linked here because there is ongoing maintenance that prevents from editing, etc." like https://meta.wikimedia.org/wiki/Wikimedia_maintenance_notice but generic so it can be reused every time there is maintenance (at most, with a different phabricator link).

It is ok if it cannot be done, just trying to clarify the request.

Johan added a comment.Jun 5 2018, 1:00 PM

All affected wikis have been forewarned on whatever page they've indicated they want announcements (in general or in English) on, to give them time to prepare in case this would conflict with any plans they have.

Johan, did you suggest a Sitenotice at the local wikis? A CentralNotice banner won't work (as explained above), but a Sitenotice will reach most of the affected people.

CentralNotice would actually be better. For those wikis it satisfies something like 99 % of the users, while the sitenotice can fail to deliver as the cache gets updated. Moreover, people should actually use both the sitenotice and the anonnotice to avoid serving the banner to unregistered users, but few sysops know about this.

Nemo, a CentralNotice that reaches the two small English wikis in this list will *also* reach the English Wikipedia. So it will satisfy 99% of the users at those small wikis, and simultaneously annoy more than 50% of users at all the wikis. Annoying many thousands of unaffected users is not an acceptable tradeoff for reaching the small number who will actually be editing at those wikis.

Marostegui closed this task as Resolved.EditedJun 13 2018, 6:42 AM

Maintenance was completed.
read only time started at 06:01
read only time finished at 06:08
Total read only time was around 7 minutes

Johan moved this task from Do now to Archive on the User-Johan board.Jun 13 2018, 11:02 AM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Jun 14 2018, 2:22 AM
Vvjjkkii renamed this task from Announce read-only time for wikis on s2 for 13th June 2018 to 4ccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Johan as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Marostegui renamed this task from 4ccaaaaaaa to Announce read-only time for wikis on s2 for 13th June 2018.Jul 1 2018, 6:57 PM
Marostegui closed this task as Resolved.
Marostegui lowered the priority of this task from High to Normal.
Marostegui assigned this task to Johan.
Marostegui updated the task description. (Show Details)